<?php

//Footer

if(!function_exists('kudos_qodef_map_footer')) {
    function kudos_qodef_map_footer() {

        $footer_meta_box = kudos_qodef_add_meta_box(
            array(
                'scope' => array('page', 'portfolio-item', 'post'),
                'title' => esc_html__('Footer', 'kudos'),
                'name' => 'footer_meta'
            )
        );

        kudos_qodef_add_meta_box_field(
            array(
                'name' => 'qodef_disable_footer_meta',
                'type' => 'yesno',
                'default_value' => 'no',
                'label' => esc_html__('Disable Footer for this Page', 'kudos'),
                'description' => esc_html__('Enabling this option will hide footer on this page', 'kudos'),
                'parent' => $footer_meta_box,
            )
        );
    }

    add_action('kudos_qodef_meta_boxes_map', 'kudos_qodef_map_footer');

}