<?php

/*** Gallery Post Format ***/

if(!function_exists('kudos_qodef_map_gallery')) {
    function kudos_qodef_map_gallery()
    {

        $gallery_post_format_meta_box = kudos_qodef_add_meta_box(
            array(
                'scope' => array('post'),
                'title' => esc_html__('Gallery Post Format', 'kudos'),
                'name' => 'post_format_gallery_meta'
            )
        );

        kudos_qodef_add_multiple_images_field(
            array(
                'name' => 'qodef_post_gallery_images_meta',
                'label' => esc_html__('Gallery Images', 'kudos'),
                'description' => esc_html__('Choose your gallery images', 'kudos'),
                'parent' => $gallery_post_format_meta_box,
            )
        );
    }

    add_action('kudos_qodef_meta_boxes_map', 'kudos_qodef_map_gallery');

}