<?php

//Testimonials

if(!function_exists('kudos_qodef_map_testimonials')) {
    function kudos_qodef_map_testimonials()
    {

        $testimonial_meta_box = kudos_qodef_add_meta_box(
            array(
                'scope' => array('testimonials'),
                'title' => esc_html__('Testimonial', 'kudos'),
                'name' => 'testimonial_meta'
            )
        );

        kudos_qodef_add_meta_box_field(
            array(
                'name' => 'qodef_testimonial_title',
                'type' => 'text',
                'label' => esc_html__('Title', 'kudos'),
                'description' => esc_html__('Enter testimonial title', 'kudos'),
                'parent' => $testimonial_meta_box,
            )
        );


        kudos_qodef_add_meta_box_field(
            array(
                'name' => 'qodef_testimonial_author',
                'type' => 'text',
                'label' => esc_html__('Author', 'kudos'),
                'description' => esc_html__('Enter author name', 'kudos'),
                'parent' => $testimonial_meta_box,
            )
        );

        kudos_qodef_add_meta_box_field(
            array(
                'name' => 'qodef_testimonial_author_position',
                'type' => 'text',
                'label' => esc_html__('Job Position', 'kudos'),
                'description' => esc_html__('Enter job position', 'kudos'),
                'parent' => $testimonial_meta_box,
            )
        );

        kudos_qodef_add_meta_box_field(
            array(
                'name' => 'qodef_testimonial_text',
                'type' => 'text',
                'label' => esc_html__('Text', 'kudos'),
                'description' => esc_html__('Enter testimonial text', 'kudos'),
                'parent' => $testimonial_meta_box,
            )
        );
    }


    add_action('kudos_qodef_meta_boxes_map', 'kudos_qodef_map_testimonials');

}