<?php

if ( ! function_exists('kudos_qodef_like') ) {
	/**
	 * Returns KudosQodefLike instance
	 *
	 * @return KudosQodefLike
	 */
	function kudos_qodef_like() {
		return KudosQodefLike::get_instance();
	}

}

function kudos_qodef_get_like() {

	echo wp_kses(kudos_qodef_like()->add_like(), array(
		'span' => array(
			'class' => true,
			'aria-hidden' => true,
			'style' => true,
			'id' => true
		),
		'i' => array(
			'class' => true,
			'style' => true,
			'id' => true
		),
		'a' => array(
			'href' => true,
			'class' => true,
			'id' => true,
			'title' => true,
			'style' => true
		)
	));
}

if ( ! function_exists('kudos_qodef_like_latest_posts') ) {
	/**
	 * Add like to latest post
	 *
	 * @return string
	 */
	function kudos_qodef_like_latest_posts() {
		return kudos_qodef_like()->add_like();
	}

}

if ( ! function_exists('kudos_qodef_like_portfolio_list') ) {
	/**
	 * Add like to portfolio project
	 *
	 * @param $portfolio_project_id
	 * @return string
	 */
	function kudos_qodef_like_portfolio_list($portfolio_project_id) {
		return kudos_qodef_like()->add_like_portfolio_list($portfolio_project_id);
	}

}